var x: integer;
begin
repeat
  write('Введите x: ');
  readln(x);
  if (x>=0) and (x<=9) then
    writeln('Однозначное число')
  else if (x>=10) and (x<=99) then
    writeln('Двузначное число')
  else if (x>=100) and (x<=999) then
    writeln('Трёхзначное число')
  else if (x>=1000) and (x<=9999) then
    writeln('Четырёхзначное число')
  else if (x>=10000) and (x<=99999) then
    writeln('Пятизначное число')
  else if (x>=100000) and (x<=999999) then
    writeln('Шестизначное число')
  else if (x>=1000000) and (x<=9999999) then
    writeln('Семизначное число')
  else writeln('слишком большое число')
until x=225    
end.